// JavaScript Document

/* ----------------------------------------------

タブとなる"ul"要素の"id" = "pageTab"
実際に切り替わるボックスを内包する"id" = "pagepartition"

---------------------------------------------- */

if(document.querySelectorAll) {
	var css = document.createElement("link");
	css.setAttribute("rel", "stylesheet");
	css.setAttribute("type", "text/css");
	css.setAttribute("href", "/css/tabUI.css");　// ←ここは このスクリプトから見てではなく、このスクリプトが貼られているHTMLから見てCSSがある場所のパスを指定
	var headObj = document.getElementsByTagName("head");
	headObj[0].appendChild(css);
}

function page() {
	var pageTab = document.getElementById("pageTab");
	var tabList = pageTab.getElementsByTagName("a");
	tabList[0].parentNode.setAttribute("class", "select");

	var link = tabList[0].getAttribute("href");
	link = link.replace(/#/, "");
	var box = document.getElementById(link); // 実際に切り替わるボックス
	box.setAttribute("class", "see"); // 一つ目のボックスにclass="see"を指定
	
	for(var i=0; i<tabList.length; i++) { // オンクリックイベントハンドラ
		tabList[i].onclick = function() {
			change(this);
			return false;
		}
	}
}

function change(param) {
	var link = param.getAttribute("href");
	link = link.replace(/#/, ""); // リンクから # を除く
	var mainObj = document.getElementById(link); // クリックされたタブに該当する id の要素

	// すでに class="select"が存在していたら削除
	var selectClass = document.querySelectorAll(".select");
	for(var i=0; i<selectClass.length; i++) {
		selectClass[i].removeAttribute("class");
	}

	// すでに class="see"が存在していたら削除
	var see = document.querySelectorAll(".see");
	for(var i=0; i<see.length; i++) {
		see[i].removeAttribute("class");
		
	}

	param.parentNode.setAttribute("class", "select");
	mainObj.setAttribute("class", "see");
}

if(window.attachEvent && document.querySelectorAll) {
	window.attachEvent("onload", page);
} else if(window.addEventListener && document.querySelectorAll) {
	window.addEventListener("load", page, false);
}